#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, K, pogodak;
    scanf("%d %d", &N, &K);
    int* niz=calloc(N*2+1, sizeof(int));
    int niz2[N*2+1];
    int j=0;
    for(int i=0;i<N;i++)
    {
        scanf("%d", &pogodak);
        niz[pogodak+N]++;
        if(niz[pogodak+N]==K)
        {
            niz2[j]=pogodak;
            j++;
        }
    }
    printf("%d\n", j);
    for(int i=0;i<j;i++)
    {
        printf("%d ", niz2[i]);
    }
    return 0;
}